> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Starts workflow based on request body

> Initiates a flow with a trigger type of `WORKFLOW_MANUAL_START`.

You application must be authorized to use the `Manage Box Relay` application scope within the developer console.

<Note>
  This endpoint is in the version **2024.0**. No changes are required to continue using it. For more details, see **[Box API versioning](/guides/api-calls/api-versioning-strategy)**.

  Learn more about [Box SDK versioning strategy](/guides/tooling/sdks/sdk-versioning/).
</Note>


## OpenAPI

````yaml /box-openapi.json POST /workflows/{workflow_id}/start
openapi: 3.0.2
info:
  title: Box Platform API
  description: >-
    [Box Platform](https://developer.box.com) provides functionality to provide
    access to content stored within [Box](https://box.com). It provides
    endpoints for basic manipulation of files and folders, management of users
    within an enterprise, as well as more complex topics such as legal holds and
    retention policies.
  termsOfService: https://cloud.app.box.com/s/rmwxu64h1ipr41u49w3bbuvbsa29wku9
  contact:
    name: Box, Inc
    url: https://developer.box.com
    email: devrel@box.com
  license:
    name: Apache-2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: '2024.0'
  x-box-commit-hash: 95117b97f9
servers:
  - url: https://api.box.com/2.0
    description: Box Platform API server.
security:
  - OAuth2Security: []
tags:
  - name: AI
    description: A set of endpoints used to interact with supported LLMs.
    x-box-tag: ai
  - name: AI Studio
    description: A set of endpoints used to interact with AI Studio.
    x-box-tag: ai_studio
  - name: App item associations
    x-box-tag: app_item_associations
  - name: Authorization
    description: A set of endpoints used to manage user authorization process.
    x-box-tag: authorization
    x-box-priority: true
  - name: Box Sign requests
    description: Box Sign requests are used to submit a file for signature.
    x-box-tag: sign_requests
  - name: Classifications
    description: >-
      Classification labels are used for content that is sensitive or under
      security restrictions.
    x-box-tag: classifications
  - name: Classifications on files
    description: >-
      Classification labels are used for files that are sensitive or under
      security restrictions.
    x-box-tag: file_classifications
  - name: Classifications on folders
    description: >-
      Classification labels are used for folders that are sensitive or under
      security restrictions.
    x-box-tag: folder_classifications
  - name: Collaborations
    description: >-
      Collaborations define access permissions for users and groups to files and
      folders, similar to access control lists.
    x-box-tag: user_collaborations
  - name: Collaborations (List)
    description: >-
      A set of endpoints used to retrieve file, folder, pending, and group
      collaborations.
    x-box-tag: list_collaborations
  - name: Collections
    description: >-
      Collections are a way to group files, folders, and web links without
      putting them all into a folder.
    x-box-tag: collections
  - name: Comments
    description: >-
      Comments are messages generated users on files, allowing users to
      collaborate on a file, discussing any feedback they might have on the
      content.
    x-box-tag: comments
  - name: Device pinners
    description: >-
      Device pinners allow enterprises to control what devices can use native
      Box applications.
    x-box-tag: device_pinners
  - name: Domain restrictions (User exemptions)
    description: >-
      A set of endpoints that allow exempting users from restrictions imposed by
      the list of allowed collaboration domains for a specific enterprise.
    x-box-tag: collaboration_allowlist_exempt_targets
  - name: Domain restrictions for collaborations
    description: >-
      A set of endpoints that manage domains for which users can collaborate
      with files and folders in an enterprise.
    x-box-tag: collaboration_allowlist_entries
  - name: Downloads
    description: >-
      Downloads allow saving files to the application's server, or directly by
      the end user in a browser.
    x-box-tag: downloads
  - name: Email aliases
    description: >-
      Email aliases provide a list of emails additional to the user's primary
      login email.
    x-box-tag: email_aliases
  - name: Events
    description: >-
      Events provide a way for an application to subscribe to any actions
      performed by any user, users, or service in an enterprise.
    x-box-tag: events
  - name: File requests
    description: >-
      File Requests provide a fast and secure way to request files and
      associated metadata from anyone. Users can create new file requests based
      on an existing file request, update file request settings, activate,
      deactivate, and delete file requests programmatically.
    x-box-tag: file_requests
  - name: File version legal holds
    description: >-
      A legal hold is a process that an enterprise can use to preserve all forms
      of potentially relevant information when litigation is pending or
      reasonably anticipated. A File Version Legal Hold represents all the
      policies that are assigned to a specific file version.
    x-box-tag: file_version_legal_holds
  - name: File version retentions
    description: >-
      A retention policy blocks permanent deletion of content for a specified
      amount of time. A file version retention is a record for a retained file.
    x-box-tag: file_version_retentions
  - name: File versions
    description: A set of endpoints used to manage specific versions of a file.
    x-box-tag: file_versions
  - name: Files
    description: >-
      Files, together with Folders, are at the core of the Box API. Files can be
      uploaded and downloaded, as well as hold important metadata information
      about the content.
    x-box-tag: files
  - name: Folder Locks
    description: >-
      Folder locks define access restrictions placed by folder owners to prevent
      specific folders from being moved or deleted.
    x-box-tag: folder_locks
  - name: Folders
    description: >-
      Folders, together with Files, are at the core of the Box API. Folders can
      be uploaded and downloaded, as well as hold important metadata information
      about the content.
    x-box-tag: folders
  - name: Integration mappings
    description: >-
      Integration Mappings allow the users to manage where content from partner
      apps is stored in Box.
    x-box-tag: integration_mappings
  - name: Group memberships
    description: Group memberships signify that a user is a part of the group.
    x-box-tag: memberships
  - name: Groups
    description: Groups created in an enterprise.
    x-box-tag: groups
  - name: Invites
    description: Invites are used to invite the user to an enterprise.
    x-box-tag: invites
  - name: Legal hold policies
    description: >-
      A legal hold is a process that an enterprise can use to preserve all forms
      of potentially relevant information when litigation is pending or
      reasonably anticipated.
    x-box-tag: legal_hold_policies
  - name: Legal hold policy assignments
    description: >-
      A Legal Hold Policy Assignment is a relation between a policy and
      custodian. In this case, as custodian can be a user, folder, file, or file
      version.
    x-box-tag: legal_hold_policy_assignments
  - name: Metadata cascade policies
    description: >-
      A metadata cascade policy describes how metadata instances applied to a
      folder should be applied to any item within that folder.
    x-box-tag: metadata_cascade_policies
  - name: Metadata instances (Files)
    description: >-
      A metadata instance describes the relation between a template and a file,
      including the values that are assigned for every field.
    x-box-tag: file_metadata
  - name: Metadata instances (Folders)
    description: >-
      A metadata instance describes the relation between a template and a
      folder, including the values that are assigned for every field.
    x-box-tag: folder_metadata
  - name: Metadata taxonomies
    description: >-
      A metadata taxonomy is a hierarchical classification system that helps
      organize and manage metadata within an enterprise.
    x-box-tag: metadata_taxonomies
  - name: Metadata templates
    description: >-
      A metadata template describes a reusable set of key/value pairs that can
      be assigned to a file.
    x-box-tag: metadata_templates
  - name: Recent items
    description: >-
      Recent items represent items such as files or folders that the user
      accessed recently.
    x-box-tag: recent_items
  - name: Retention policies
    description: >-
      A retention policy blocks permanent deletion of content for a specified
      amount of time. Admins can create retention policies and then assign them
      to specific folders or their entire enterprise.
    x-box-tag: retention_policies
  - name: Retention policy assignments
    description: >-
      A Retention Policy Assignment is a relation between a policy and folder or
      enterprise. Creating an assignment puts a retention on all the file
      versions that belong to that folder or enterprise.
    x-box-tag: retention_policy_assignments
  - name: Search
    description: >-
      The Box API provides a way to find content in Box using full-text search
      queries.
    x-box-tag: search
  - name: Session termination
    description: >-
      Session termination API is used to validate the roles and permissions of
      the group, and creates asynchronous jobs to terminate the group's
      sessions.
    x-box-tag: session_termination
  - name: Shared links (Files)
    description: >-
      Files shared links are URLs that are generated for files stored in Box,
      which provide direct, read-only access to the resource.
    x-box-tag: shared_links_files
  - name: Shared links (Folders)
    description: >-
      Folders shared links are URLs that are generated for folders stored in
      Box, which provide direct, read-only access to the resource.
    x-box-tag: shared_links_folders
  - name: Shared links (Web Links)
    description: >-
      Web links for files are URLs that are generated for web links in Box,
      which provide direct, read-only access to the resource.
    x-box-tag: shared_links_web_links
  - name: Shared links (App Items)
    description: >-
      URLs generated for app items stored in Box, which provide direct,
      read-only access to the resource.
    x-box-tag: shared_links_app_items
  - name: Shield information barriers
    description: >-
      Shield information barrier in Box defines an ethical wall. An ethical wall
      is a mechanism that prevents exchanges or communication that could lead to
      conflicts of interest and therefore result in business activities
      ethically or legally questionable.
    x-box-tag: shield_information_barriers
  - name: Shield information barrier segments
    description: >-
      Shield information barrier segment represents a defined group of users. A
      user can be a member of only one segment, which makes segments different
      from groups.
    x-box-tag: shield_information_barrier_segments
  - name: Shield information barrier segment members
    description: >-
      Shield information barrier segment member represents a user that is
      assigned to a specific segment.
    x-box-tag: shield_information_barrier_segment_members
  - name: Shield information barrier reports
    description: >-
      Shield information barrier reports contain information on what existing
      collaborations will be removed permanently when the information barrier is
      enabled.
    x-box-tag: shield_information_barrier_reports
  - name: Shield information barrier segment restrictions
    description: >-
      Shield information barrier segment restriction is an access restriction
      based on the content (file or folder) owner.
    x-box-tag: shield_information_barrier_segment_restrictions
  - name: Box Sign templates
    description: >-
      Sign templates allow you to use a predefined Box Sign template when
      creating a signature request. The template includes placeholders that are
      automatically populated with data when creating the request.
    x-box-tag: sign_templates
  - name: Skills
    description: >-
      Box Skills are designed to allow custom processing of files uploaded to
      Box, with the intent of enhancing the underlying metadata of the file.
    x-box-tag: skills
  - name: Standard and Zones Storage Policies
    description: >-
      Storage policy assignment represents the storage zone for items in a given
      enterprise.
    x-box-tag: storage_policies
  - name: Standard and Zones Storage Policy Assignments
    description: >-
      Storage policy assignment represents the relation between storage zone and
      the assigned item (for example a file stored in a specific zone).
    x-box-tag: storage_policy_assignments
  - name: Task assignments
    description: >-
      A task assignment defines which task is assigned to which user to
      complete.
    x-box-tag: task_assignments
  - name: Tasks
    description: >-
      Tasks allow users to request collaborators on a file to review a file or
      complete a piece of work. Tasks can be used by developers to create
      file-centric workflows.
    x-box-tag: tasks
  - name: Terms of service
    description: A set of endpoints used to manage terms of service agreements.
    x-box-tag: terms_of_services
  - name: Terms of service user statuses
    description: >-
      A set of endpoints used to manage the status of terms of service for a
      particular user.
    x-box-tag: terms_of_service_user_statuses
  - name: Transfer folders
    description: >-
      API designed to move all of the items (files, folders and workflows) owned
      by a user into another user's account.
    x-box-tag: transfer
  - name: Trashed files
    description: Files that were deleted and are in trash.
    x-box-tag: trashed_files
  - name: Trashed folders
    description: Folders that were deleted and are in trash.
    x-box-tag: trashed_folders
  - name: Trashed items
    description: Items that were deleted and are in trash.
    x-box-tag: trashed_items
  - name: Trashed web links
    description: Web links that were deleted and are in trash.
    x-box-tag: trashed_web_links
  - name: Uploads
    description: >-
      The direct file upload API supports files up to 50MB in size and sends all
      the binary data to the Box API in 1 API request.
    x-box-tag: uploads
  - name: Uploads (Chunked)
    description: >-
      The chunked upload endpoints support files from 20MB in size and allow an
      application to upload the file in parts, allowing for more control to
      catch any errors and retry parts individually.
    x-box-tag: chunked_uploads
  - name: User avatars
    description: >-
      User avatars are JPG or PNG files uploaded to Box to represent the user
      image. They are then displayed in the user account.
    x-box-tag: avatars
  - name: Users
    description: >-
      Box API supports a variety of users, ranging from real employees logging
      in with their Managed User account, to applications using App Users to
      drive powerful automation workflows.
    x-box-tag: users
  - name: Watermarks (Files)
    description: >-
      A watermark is a semi-transparent overlay on an embedded file preview that
      displays a viewer's email address or user ID and the time of access over
      the file.
    x-box-tag: file_watermarks
  - name: Watermarks (Folders)
    description: >-
      A watermark is a semi-transparent overlay on an embedded folder preview
      that displays a viewer's email address or user ID and the time of access
      over the folder content.
    x-box-tag: folder_watermarks
  - name: Web links
    description: >-
      Web links are objects that point to URLs. These objects are also known as
      bookmarks within the Box web application.
    x-box-tag: web_links
  - name: Webhooks
    description: >-
      Webhooks allow you to monitor Box content for events, and receive
      notifications to a URL of your choice when they occur. For example, a
      workflow may include waiting for a file to be downloaded to delete a
      shared link.
    x-box-tag: webhooks
  - name: Workflows
    description: >-
      Box Relay Workflows are objects that represent a named collection of
      flows.
    x-box-tag: workflows
  - name: Zip Downloads
    description: >-
      Zip downloads represent a successful request to create a ZIP archive with
      files and folders.
    x-box-tag: zip_downloads
externalDocs:
  description: Box Developer Documentation.
  url: https://developer.box.com
paths:
  /workflows/{workflow_id}/start:
    post:
      tags:
        - Workflows
      summary: Starts workflow based on request body
      description: >-
        Initiates a flow with a trigger type of `WORKFLOW_MANUAL_START`.


        You application must be authorized to use the `Manage Box Relay`
        application scope within the developer console.
      operationId: post_workflows_id_start
      parameters:
        - name: workflow_id
          in: path
          description: The ID of the workflow.
          required: true
          schema:
            type: string
          example: '12345'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                type:
                  description: The type of the parameters object.
                  type: string
                  example: workflow_parameters
                  enum:
                    - workflow_parameters
                flow:
                  description: The flow that will be triggered.
                  type: object
                  properties:
                    type:
                      description: The type of the flow object.
                      type: string
                      example: flow
                    id:
                      description: The id of the flow.
                      type: string
                      example: '123456789'
                files:
                  description: >-
                    The array of files for which the workflow should start. All
                    files must be in the workflow's configured folder.
                  type: array
                  items:
                    type: object
                    description: A file the workflow should start for.
                    properties:
                      type:
                        description: The type of the file object.
                        type: string
                        example: file
                        enum:
                          - file
                      id:
                        description: The id of the file.
                        type: string
                        example: '12345678'
                folder:
                  description: The folder object for which the workflow is configured.
                  type: object
                  properties:
                    type:
                      description: The type of the folder object.
                      type: string
                      example: folder
                      enum:
                        - folder
                    id:
                      description: The id of the folder.
                      type: string
                      example: '87654321'
                outcomes:
                  description: A configurable outcome the workflow should complete.
                  type: array
                  items:
                    $ref: '#/components/schemas/Outcome'
              required:
                - flow
                - files
                - folder
      responses:
        '204':
          description: Starts the workflow.
        '400':
          description: >-
            Returns an error if some of the parameters are missing or not valid.


            - `workflow_is_not_enabled` when the workflow is not enabled.

            - `workflow_not_active_on_provided_folder` when the workflow is not
            enabled for the specified folder id.

            - `parameters_provided_do_not_match_target_outcome` when the
            provided parameters do not match the expected parameters.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '403':
          description: >-
            Returns an error if there are insufficient permissions.


            - `insufficient_access` when the user does not have access rights to
            file or folder.

            - `missing_relay_full_access` when the user does not have access to
            Relay Full.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '404':
          description: >-
            Returns an error if the workflow could not be found, or the
            authenticated user does not have access to the workflow.


            - `workflow_not_found` when the workflow is not found.

            - `flow_missing_or_inaccessible` when the flow is not a manual start
            flow.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        default:
          description: An unexpected client error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
      x-codeSamples:
        - lang: curl
          label: Starts workflow based on request body
          source: |-
            curl -i -X POST "https://api.box.com/2.0/workflows/42037322/start" \
                 -H "authorization: Bearer <ACCESS_TOKEN>" \
                 -d '{
                   "type": "workflow_parameters",
                   "flow": {
                    "id": "8937625",
                    "type": "flow"
                   },
                   "files": [{
                      "type": "file",
                      "id": "389047572"
                    },
                    {
                      "type": "file",
                      "id": "389047578"
                    }],
                   "folder": {
                     "id": "2233212",
                     "type": "folder"
                   },
                   "outcomes": [
                      {
                        "id": "34895783",
                        "type": "outcome",
                        "task_collaborators": {
                            "type": "variable",
                            "variable_type": "user_list",
                            "variable_value": [{ "type": "user", "id": "890273642" }]
                        },
                        "completion_rule": {
                            "type": "variable",
                            "variable_type": "task_completion_rule",
                            "variable_value": "all_assignees"
                        },
                        "file_collaborator_role": {
                            "type": "variable",
                            "variable_type": "collaborator_role",
                            "variable_value": "viewer"
                        }
                      }
                    ]
                 }'
        - lang: dotnet
          label: Starts workflow based on request body
          source: >-
            await adminClient.Workflows.StartWorkflowAsync(workflowId:
            NullableUtils.Unwrap(workflowToRun.Id), requestBody: new
            StartWorkflowRequestBody(flow: new
            StartWorkflowRequestBodyFlowField() { Type = "flow", Id =
            NullableUtils.Unwrap(NullableUtils.Unwrap(workflowToRun.Flows)[0].Id)
            }, files: Array.AsReadOnly(new [] {new
            StartWorkflowRequestBodyFilesField() { Type =
            StartWorkflowRequestBodyFilesTypeField.File, Id = workflowFileId
            }}), folder: new StartWorkflowRequestBodyFolderField() { Type =
            StartWorkflowRequestBodyFolderTypeField.Folder, Id =
            workflowFolderId }) { Type =
            StartWorkflowRequestBodyTypeField.WorkflowParameters });
        - lang: swift
          label: Starts workflow based on request body
          source: >-
            try await adminClient.workflows.startWorkflow(workflowId:
            workflowToRun.id!, requestBody: StartWorkflowRequestBody(type:
            StartWorkflowRequestBodyTypeField.workflowParameters, flow:
            StartWorkflowRequestBodyFlowField(type: "flow", id:
            workflowToRun.flows![0].id!), files:
            [StartWorkflowRequestBodyFilesField(type:
            StartWorkflowRequestBodyFilesTypeField.file, id: workflowFileId)],
            folder: StartWorkflowRequestBodyFolderField(type:
            StartWorkflowRequestBodyFolderTypeField.folder, id:
            workflowFolderId)))
        - lang: java
          label: Starts workflow based on request body
          source: >-
            adminClient.getWorkflows().startWorkflow(workflowToRun.getId(), new
            StartWorkflowRequestBody.Builder(new
            StartWorkflowRequestBodyFlowField.Builder().type("flow").id(workflowToRun.getFlows().get(0).getId()).build(),
            Arrays.asList(new
            StartWorkflowRequestBodyFilesField.Builder().type(StartWorkflowRequestBodyFilesTypeField.FILE).id(workflowFileId).build()),
            new
            StartWorkflowRequestBodyFolderField.Builder().type(StartWorkflowRequestBodyFolderTypeField.FOLDER).id(workflowFolderId).build()).type(StartWorkflowRequestBodyTypeField.WORKFLOW_PARAMETERS).build())
        - lang: node
          label: Starts workflow based on request body
          source: |-
            await adminClient.workflows.startWorkflow(workflowToRun.id!, {
              type: 'workflow_parameters' as StartWorkflowRequestBodyTypeField,
              flow: {
                type: 'flow',
                id: workflowToRun.flows![0].id!,
              } satisfies StartWorkflowRequestBodyFlowField,
              files: [
                {
                  type: 'file' as StartWorkflowRequestBodyFilesTypeField,
                  id: workflowFileId,
                } satisfies StartWorkflowRequestBodyFilesField,
              ],
              folder: {
                type: 'folder' as StartWorkflowRequestBodyFolderTypeField,
                id: workflowFolderId,
              } satisfies StartWorkflowRequestBodyFolderField,
            } satisfies StartWorkflowRequestBody);
        - lang: python
          label: Starts workflow based on request body
          source: |-
            admin_client.workflows.start_workflow(
                workflow_to_run.id,
                StartWorkflowFlow(type="flow", id=workflow_to_run.flows[0].id),
                [StartWorkflowFiles(type=StartWorkflowFilesTypeField.FILE, id=workflow_file_id)],
                StartWorkflowFolder(
                    type=StartWorkflowFolderTypeField.FOLDER, id=workflow_folder_id
                ),
                type=StartWorkflowType.WORKFLOW_PARAMETERS,
            )
components:
  schemas:
    Outcome:
      description: An instance of an outcome.
      type: object
      properties:
        id:
          description: ID of a specific outcome.
          type: string
          example: '17363629'
        collaborators:
          allOf:
            - $ref: '#/components/schemas/CollaboratorVariable'
            - description: Lists collaborators affected by the workflow result.
        completion_rule:
          allOf:
            - $ref: '#/components/schemas/CompletionRuleVariable'
            - description: >-
                Determines if an action should be completed by all or any
                assignees.
        file_collaborator_role:
          allOf:
            - $ref: '#/components/schemas/RoleVariable'
            - description: >-
                Determines if the workflow outcome for a file affects a specific
                collaborator role.
        task_collaborators:
          allOf:
            - $ref: '#/components/schemas/CollaboratorVariable'
            - description: Lists collaborators affected by the task workflow result.
        role:
          allOf:
            - $ref: '#/components/schemas/RoleVariable'
            - description: >-
                Determines if the workflow outcome affects a specific
                collaborator role.
      required:
        - id
      title: Outcome
    ClientError:
      description: A generic error.
      type: object
      properties:
        type:
          description: The value will always be `error`.
          type: string
          example: error
          enum:
            - error
          nullable: false
        status:
          description: The HTTP status of the response.
          type: integer
          format: int32
          example: 400
          nullable: false
        code:
          description: A Box-specific error code.
          type: string
          example: item_name_invalid
          enum:
            - created
            - accepted
            - no_content
            - redirect
            - not_modified
            - bad_request
            - unauthorized
            - forbidden
            - not_found
            - method_not_allowed
            - conflict
            - precondition_failed
            - too_many_requests
            - internal_server_error
            - unavailable
            - item_name_invalid
            - insufficient_scope
        message:
          description: A short message describing the error.
          type: string
          example: Method Not Allowed
          nullable: false
        context_info:
          description: >-
            A free-form object that contains additional context about the error.
            The possible fields are defined on a per-endpoint basis. `message`
            is only one example.
          type: object
          example:
            message: Something went wrong
          additionalProperties: {}
          nullable: true
        help_url:
          description: A URL that links to more information about why this error occurred.
          type: string
          example: >-
            https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/
          nullable: false
        request_id:
          description: >-
            A unique identifier for this response, which can be used when
            contacting Box support.
          type: string
          example: abcdef123456
          nullable: false
      title: Client error
      x-box-resource-id: client_error
    CollaboratorVariable:
      description: >-
        A collaborator object. Allows to specify a list of user ID's that are
        affected by the workflow result.
      type: object
      properties:
        type:
          description: Collaborator object type.
          type: string
          example: variable
          enum:
            - variable
        variable_type:
          description: Variable type for the Collaborator object.
          type: string
          example: user_list
          enum:
            - user_list
        variable_value:
          description: A list of user IDs.
          type: array
          items:
            type: object
            required:
              - type
              - id
            description: User variable used in workflow outcomes.
            properties:
              type:
                description: The object type.
                type: string
                example: user
                enum:
                  - user
              id:
                description: User's ID.
                type: string
                example: '636281'
      required:
        - type
        - variable_type
        - variable_value
      title: Collaborator variable
    CompletionRuleVariable:
      description: >-
        A completion rule object. Determines if an action should be completed by
        all or any assignees.
      type: object
      properties:
        type:
          description: Completion Rule object type.
          type: string
          example: variable
          enum:
            - variable
        variable_type:
          description: Variable type for the Completion Rule object.
          type: string
          example: task_completion_rule
          enum:
            - task_completion_rule
        variable_value:
          description: Variable values for a completion rule.
          type: string
          example: all_assignees
          enum:
            - all_assignees
            - any_assignees
      required:
        - type
        - variable_type
        - variable_value
      title: Completion rule variable
    RoleVariable:
      description: Determines if the workflow outcome affects a specific collaborator role.
      type: object
      properties:
        type:
          description: Role object type.
          type: string
          example: variable
          enum:
            - variable
        variable_type:
          description: The variable type used by the object.
          type: string
          example: collaborator_role
          enum:
            - collaborator_role
        variable_value:
          allOf:
            - type: string
              description: The level of access granted.
              example: editor
              enum:
                - editor
                - viewer
                - previewer
                - uploader
                - previewer uploader
                - viewer uploader
                - co-owner
            - description: Variable values you can use for the role parameter.
      required:
        - type
        - variable_type
        - variable_value
      title: Role variable
  securitySchemes:
    OAuth2Security:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://account.box.com/api/oauth2/authorize
          tokenUrl: https://api.box.com/oauth2/token
          scopes:
            root_readonly: Read all files and folders stored in Box
            root_readwrite: Read and write all files and folders stored in Box
            manage_app_users: Provision and manage app users
            manage_managed_users: Provision and manage managed users
            manage_groups: Manage an enterprise's groups
            manage_webhook: Create webhooks programmatically through the API
            manage_enterprise_properties: Manage enterprise properties
            manage_data_retention: Manage data retention polices
            manage_legal_hold: Manage Legal Holds

````